/**********************************************************************
 *                                                                    *
 * GLCD independent Graphic Library                                   *
 *                                                                    *
 * (c) Axel (XL) Schwenke <axel.schwenke@gmx.net>                     *
 *                                                                    *
 * $Id: graphics.c 245 2014-02-08 22:37:56Z schwenke $
 *                                                                    *
 **********************************************************************/

#include "graphics.h"

void gfx_vline(uint8_t x1, uint8_t y1, uint8_t y2)
{
    for (uint8_t y=y1; y<=y2; y++)
        gfx_putpixel(x1, y);
}


void gfx_fillrect(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2)
{
    for (uint8_t y=y1; y<=y2; y++)
        gfx_hline(x1, y, x2);
}


