/**********************************************************************
 *                                                                    *
 * GLCD independent Graphic Library                                   *
 *                                                                    *
 * (c) Axel (XL) Schwenke <axel.schwenke@gmx.net>                     *
 *                                                                    *
 * $Id: graphics.h 245 2014-02-08 22:37:56Z schwenke $
 *                                                                    *
 **********************************************************************/

#ifndef GRAPHICS_H
#define GRAPHICS_H

#include "st7920.h"

/* wrappers for GLCD specific functions */
#define gfx_putpixel(x, y)      st7920_putpixel(x, y)
#define gfx_hline(x1, y1, x2)   st7920_hline(x1, y1, x2)

/* general functions */
void gfx_vline(uint8_t x1, uint8_t y1, uint8_t y2);
void gfx_fillrect(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2);

#endif /* GRAPHICS_H */
